GCubeGisViewerSaveHandler (gCube GIS Viewer Widget 2.0.0-SNAPSHOT API)
Date: 2013-07-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.gcubegisviewer.client
Class GCubeGisViewerSaveHandler

    java.lang.Object
      org.gcube.portlets.user.gcubegisviewer.client.GCubeGisViewerSaveHandler

All Implemented Interfaces:
  org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler

    public class GCubeGisViewerSaveHandler

extends Object
implements org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler

Author:
  "Federico De Faveri defaveri@isti.cnr.it"

Field Summary
`protected HasSaveHandlers` | `hasSaveHandlers`
`protected static GCubeGisViewerServiceAsync` | `service`

Constructor Summary
`GCubeGisViewerSaveHandler()`

Method Summary
`void` | `saveLayerImage(String name, String contentType, String url)`
`void` | `saveMapImage(String name, String outputFormat, String bbox, String width, String height, String[] geoservers, String[] layers, String[] styles, String[] opacities, String[] cqlfilters, String[] gsrefs)`
`void` | `setHasSaveHandlers(HasSaveHandlers hasSaveHandlers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service

    protected static GCubeGisViewerServiceAsync service

### hasSaveHandlers

    protected HasSaveHandlers hasSaveHandlers

Constructor Detail

### GCubeGisViewerSaveHandler

    public GCubeGisViewerSaveHandler()

Method Detail

### setHasSaveHandlers

    public void setHasSaveHandlers(HasSaveHandlers hasSaveHandlers)

  Parameters:
    `hasSaveHandlers` - the hasSaveHandlers to set

### saveLayerImage

    public void saveLayerImage(String name,
                               String contentType,
                               String url)

  Specified by:
    `saveLayerImage` in interface `org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler`

### saveMapImage

    public void saveMapImage(String name,
                             String outputFormat,
                             String bbox,
                             String width,
                             String height,
                             String[] geoservers,
                             String[] layers,
                             String[] styles,
                             String[] opacities,
                             String[] cqlfilters,
                             String[] gsrefs)

  Specified by:
    `saveMapImage` in interface `org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.